//============================================================
// PROGRAMM: STL_LIST_BSP_01
//============================================================
#include <conio.h>
#include <iostream.h>
#include <list>
using namespace std;

int Feld [7] = {1, 2, 3, 4, 5, 6, 7};

void main (void)
{
   int Wert = 13;
   list<int> aTest (6, Wert);
   list<int>::iterator aIterator;

   //---------------------------------------------------------
   // 1. Die Elemente 0..2 kopieren
   // Geht bei list-Containern nicht ber eine Addition wie 
   // bei den vector-Objekten, da die Adresse des gewnschten
   // Elementes in einem list-Objekt nicht errechnet werden 
   // kann
   //---------------------------------------------------------
   // list<int> aMyIntList1 (aTest.begin(), aTest.begin()+3);
   //---------------------------------------------------------

   //---------------------------------------------------------
   // 2. Die gesamte list kopieren
   //---------------------------------------------------------
   list<int> aMyIntList2 (aTest.begin(), aTest.end());

   //---------------------------------------------------------
   // 3. Index 1..4 aus einen einfachen Array kopieren
   //---------------------------------------------------------
   list<int> aMyIntList3 (Feld+1, Feld+5);

   //---------------------------------------------------------
   // BEISPIELAUSGABEN
   // Hier auf != aMyIntList2 testen, da der Operator < fr
   // list-Iteratoren nicht definiert ist
   //---------------------------------------------------------
   for (aIterator=aMyIntList2.begin();
        aIterator!=aMyIntList2.end();
        aIterator++)
   {
        cout << *aIterator << endl;
   }

   //---------------------------------------------------------
   // BEISPIELAUSGABEN
   //---------------------------------------------------------
   for (aIterator=aMyIntList3.begin();
        aIterator!=aMyIntList3.end();
        aIterator++)
   {
        cout << *aIterator << endl;
   }
}
